%bcond_with examples

%define pkgname libgtop
%define api 2.0
%define major 7
# TODO: Split typelib (gir) files
%define libname %mklibname gtop %{api} %{major}
%define girname %mklibname gtop-gir %{api}
%define devname %mklibname gtop %{api} -d

Summary:	The LibGTop library
Name:		%{pkgname}2
Version:	2.28.3
Release:	14
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org/
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.bz2
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	texlive-tlpkg
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(xau)

%description
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%files -f %{pkgname}-%{api}.lang
%doc NEWS README
%if %{with examples}
%dir %{_libdir}/%{pkgname}
%{_libdir}/%{pkgname}/first*
%{_libdir}/%{pkgname}/mountlist*
%{_libdir}/%{pkgname}/netload*
%{_libdir}/%{pkgname}/procmap*
%{_libdir}/%{pkgname}/second*
%{_libdir}/%{pkgname}/smp*
%{_libdir}/%{pkgname}/sysdeps*
%{_libdir}/%{pkgname}/timings*
%endif

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	The LibGTop library
Group:		System/Libraries
Provides:	%{pkgname}%{api} = %{EVRD}
Requires:	%{name} >= %{EVRD}
Suggests:	%{girname}

%description -n %{libname}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%files -n %{libname}
%doc NEWS README
%{_libdir}/libgtop-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{EVRD}
Conflicts:	%{_lib}gtop2.0_7 < 2.28.3-14

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/GTop-%{api}.typelib

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{pkgname}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{EVRD}
Requires:	%{girname} = %{EVRD}
Provides:	%{pkgname}%{api}-devel = %{EVRD}

%description -n %{devname}
LibGTop is a library that fetches information about the running
system such as CPU and memory useage, active processes and more.

Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

%files -n %{devname}
%doc AUTHORS ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/%{pkgname}-%{api}
%{_libdir}/lib*.so
%attr(644,root,root) %{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_infodir}/*.info*
%{_datadir}/gir-1.0/GTop-%{api}.gir

#----------------------------------------------------------------------------

%prep
%setup -qn %{pkgname}-%{version}

%build
%configure2_5x \
%if %{with examples}
	--with-libgtop-examples
%endif

%make

%install
%makeinstall_std

%find_lang %{pkgname}-%{api}


%changelog

* Thu Mar 01 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.28.3-14
- (d5199c7) Split typelib from shared library package


